<!--
 * @Date: 2025-10-16 15:15:47
 * @LastEditors: lip
 * @LastEditTime: 2025-11-19 18:22:34
-->
<template>
  <!-- @scroll="handleScroll" @scrolltolower="scrollBottom" -->
  <scroll-view :scroll-y="true" class="container" style="background-image: url('../../../packageRc/static/pageBg.png');">
    <view style="padding: 40rpx 28rpx;">
         <!-- #ifdef MP-WEIXIN -->
      <view class="kinggang">
        <view @click="navTo('/packageA/pages/myResume/myResume')">
          <image src="../../../packageRc/static/kinggang1.png"/>
          <view>信息维护</view>
        </view>
        <view @click="navTo('/packageA/pages/Intendedposition/Intendedposition')">
          <image src="../../../packageRc/static/kinggang5.png"/>
          <view>投递记录</view>
        </view>
        <view @click="tiao()">
          <image src="../../../packageRc/static/kinggang2.png"/>
          <view>需求上报</view>
        </view>
        <view>
          <image @click="goAiAu" src="../../../packageRc/static/kinggang3.png"/>
          <view>虚拟面试</view>
        </view>
        <view @click="goCa">
          <image src="../../../packageRc/static/kinggang4.png"/>
          <view>素质测评</view>
        </view>
      </view>
      <!-- #endif -->
      <view class="tabs">
        <view class="tab" :class="{active: pageState.type == ''}" @click="changeJobType('')">岗位列表</view>
        <view class="tab" :class="{active: pageState.type == 2}" @click="changeJobType(2)">实习实训</view>
        <view class="tab" :class="{active: pageState.type == 3}" @click="changeJobType(3)">社区实践</view>
      </view>
      <view class="titles">
        <view class="title-item" :class="{active: activeTitle == 1}" @click="activeTitle = 1,getJobRecommed()"><view>推荐岗位</view></view>
        <view class="title-item" :class="{active: activeTitle == 2}" @click="activeTitle = 2,getJobList()"><view>热门岗位</view></view>
      </view>
        <view v-for="(item, index) in jobList" :key="index" @click="nextDetail(item)" class="job-list">
        <view class="top-line">
          <view class="salary">{{item.minSalary}}-{{item.maxSalary}}/月</view>
          <view class="time"><uni-icons color="#A2A2A2" type="info" size="12"></uni-icons>发布日期：{{ item.postingDate }}</view>
        </view>
        <view class="title">{{ item.jobTitle }}</view>
        <view class="infos">
          <view>
             <dict-Label dictType="education" :value="item.education"></dict-Label>
          </view>
          <view>
            <dict-Label dictType="experience" :value="item.experience"></dict-Label>
          </view>
          <view>{{ item.jobLocation }}</view>
        </view>
        <view class="bottom-line">
          <view><uni-icons color="#A2A2A2" type="person" size="12"></uni-icons>{{item.vacancies}}人</view>
          <view>{{ item.companyName }}</view>
        </view>
       </view>
      
      <view class="view-more-btn" @click="viewMore">查看更多内容</view>
      <view class="titles" style="justify-content: space-between;">
        <view class="title-item active"><view>政策专区</view></view>
        <view @click="toPolicyList">{{'查看更多 >'}}</view>
      </view>
      <view v-for="(item, index) in policyList" :key="index" class="job-list" @click="toPolicyDetail">
        <view class="sign">推荐</view>
        <view class="title">
          <image src="../../../packageRc/static/zcLeft.png"/>
          {{item.zcmc}}</view>
        <view class="infos">
          <view v-if="item.zclx">{{item.zclx}}</view>
          <view v-if="item.zcLevel">{{item.zcLevel}}</view>
          <view v-if="item.sourceUnit">{{item.sourceUnit}}</view>
        </view>
        <view class="bottom-line">
          <view><uni-icons color="#A2A2A2" type="info" size="12"></uni-icons>发布日期：{{item.createTime}}</view>
          <view>浏览数<text style="color: #6AA7E8">{{item.viewNum}}</text></view>
        </view>
      </view>
    </view>
  </scroll-view>
</template>

<script setup>
import { reactive, inject, watch, ref, onMounted, watchEffect, nextTick } from 'vue';
const { $api, navTo, vacanciesTo, formatTotal, config } = inject('globalFunction');

import { getPolicyList } from '@/packageRc/apiRc/policy';
let policyList = ref([])
function getPolicy() {
  getPolicyList({pageNum: 1, pageSize: 10}).then(res => {
    policyList.value = res.rows
  })
}

function toPolicyList() {
  navTo(`/packageRc/pages/policy/policyList`)
}
function toPolicyDetail() {
  navTo(`/packageRc/pages/policy/policyDetail?id=${item.id}`)
}
let activeTab = ref(1)
let activeTitle = ref(1)

function back() {
  uni.navigateBack({
    delta: 1
  })
}
onMounted(()=>{
  getJobRecommed()
  getPolicy();
})

function goCa(){
    if (checkLogin()) {
        const userInfo = uni.getStorageSync('userInfo')
		navTo(`/packageCa/search/search?userId=${userInfo.userId}&name=${userInfo.name}`);
    }
}
// 跳转AI智能面试
function goAiAu(){
    if (checkLogin()) {
        const userInfo = uni.getStorageSync('userInfo')
		navTo(`/packageCa/search/AIAudition?userId=${userInfo.userId}&name=${userInfo.name}`);
    }
}

function viewMore() {
    navTo(`/packageRc/pages/jobList/jobList`);
}
function tiao(){
  console.log('尝试导航到待办详情页面');
  // 尝试直接使用uni.navigateTo，使用正确的格式
  uni.navigateTo({
    url: `/packageRc/pages/needs/personNeeds`,
    success: function() {
      console.log('导航成功');
    },
    fail: function(err) {
      console.error('导航失败:', err);
    }
  });
}
import useUserStore from '@/stores/useUserStore';
const conditionSearch = ref({});
const pageState = reactive({
    page: 0,
    total: 0,
    maxPage: 2,
    pageSize: 10,
    search: {
        order: 0,
    },
    type:'',
});
let jobList = ref([])
// 获取推荐岗位
function getJobRecommed(){
    let params = {
        pageSize: pageState.pageSize,
        sessionId: useUserStore().seesionId,
        ...pageState.search,
        ...conditionSearch.value,
        isPublish: 1,
        type:pageState.type
    };
    $api.createRequest('/app/job/recommend', params).then((resData) => {
        jobList.value = resData.data
        pageState.total = 0;
    });
}

// 获取岗位列表
function getJobList(){
  let params = {
        current: pageState.page,
        pageSize: pageState.pageSize,
        ...pageState.search,
        // ...conditionSearch.value,
        type:pageState.type
    };
  $api.createRequest('/app/job/list', params).then((resData) => {
        jobList.value = resData.rows
        pageState.total = 0;
    });
}
// 更改实习实训等
function changeJobType(val){
  pageState.type = val
  if(activeTitle.value == 1){
    getJobRecommed()
  }else{
    getJobList()
  }
}
// 登录检查函数
import { storeToRefs } from 'pinia';
const { userInfo, hasLogin, token } = storeToRefs(useUserStore());
const checkLogin = () => {
    const tokenValue = uni.getStorageSync('token') || '';
    if (!tokenValue || !hasLogin.value) {
        // 未登录，打开授权弹窗
        wxAuthLoginRef.value?.open();
        return false;
    }
    return true;
};
// 跳转到详情页面
function nextDetail(job) {
    // 登录检查
    if (checkLogin()) {
        navTo(`/packageA/pages/post/post?jobId=${encodeURIComponent(job.jobId)}`);
    }
}



</script>

<style lang="less" scoped>
view{box-sizing: border-box;display: block;}
.container{
  background-color: #F4F4F4;background-position: top center;background-size: 100% auto;
  height: 100vh;
  min-width: 100vw;
  padding-bottom: 0;
  background-repeat: no-repeat;
  box-sizing: border-box;
}
.kinggang{ 
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 16rpx 16rpx 32rpx 16rpx;
  font-size: 24rpx;
  background: #FFFFFF;
  border-radius: 16rpx;
  margin-bottom: 24rpx;
  >view{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
  }
  image{
    width: 78rpx;
    // margin-bottom: 15rpx;
    height: 78rpx;
  }
}
.tabs{
  margin-bottom: 29rpx;

	border-radius: 16rpx;
	display: flex;
	background: #fff;
	color: #878787;
	text-align: center;
	width: 100%;
	.tab{
		width: 50%;
		border: 4rpx solid transparent;
		border-radius: 16rpx;
		line-height: 64rpx;
		position: relative;
		&.active{
      border: 4rpx solid #fff;
			color: #fff;
			background: linear-gradient(180deg, #79AFFF 1%, #A2B3FE 100%);
      box-shadow: 0px 4rpx 10rpx 0px rgba(40, 102, 194, 0.4);
		}
	}
}
.titles{
  display: flex;
  margin-bottom: 44rpx;
  .title-item{
    font-size: 32rpx;
    font-weight: bold;
    color: #282828;
    margin-right: 32rpx;
    position: relative;
    >view{
      position: relative;
      z-index: 2;
      padding: 0 16rpx;
    }
    &.active::after{
      content: '';
      position: absolute;
      z-index: 1;
      bottom: -12rpx;
      left: 0;
      width: 120%;
      height: 24rpx;
      border-radius: 50px 0px 0px 50px;
      background: linear-gradient(90deg, #78AEFF 0%, rgba(120, 174, 255, 0.31) 52%, rgba(24, 116, 255, 0) 100%);
    }
  }
}
.job-list{
  width: 100%;
  margin: 0 auto;
  color: #333333;
  border-radius: 24rpx;
  background: #FFFFFF;
  padding: 32rpx;
  margin-bottom: 24rpx;
  position: relative;
  .sign{
    position: absolute;
    font-size: 24rpx;
    right: 0;
    top: 0;
    padding: 4rpx 14rpx;
    border: 1rpx solid #EC4827;
    background: rgba(227, 79, 49, 0.09);
    border-top-right-radius: 24rpx;
    border-bottom-left-radius: 24rpx;
    color: #EC4827;
  }
  .top-line{
    display: flex;
    justify-content: space-between;
    font-size: 24rpx;
    color: #A2A2A2;
    margin-bottom: 16rpx;
    .salary{
      font-size: 32rpx;
      color: #4C6EFB;
      font-weight: bold;
    }
  }
  .title{
    font-size: 32rpx;
    font-weight: bold;
    color: #282828;
    margin-bottom: 16rpx;
    display: flex;
    image{
      width: 46rpx;
      height: 46rpx;
      margin-right: 11rpx;
    }
  }
  .infos{
    display: flex;
    flex-wrap: wrap;
    font-size: 24rpx;
    margin-bottom: 16rpx;
    line-height: 42rpx;
    view{
      padding: 0 16rpx;
      margin-right: 10rpx;
      background: #F2F2F2;
    }
  }
  .bottom-line{
    display: flex;
    justify-content: space-between;
    font-size: 24rpx;
    color: #A2A2A2;
    margin-top: 12rpx;
  }
}
.view-more-btn{ 
  padding: 10rpx 56rpx;
  background: #FFFFFF;
  color: #4C6EFB;
  border: 1rpx solid #4C6EFB;
  text-align: center;
  border-radius: 40rpx;
  width: fit-content;
  margin: 0 auto;
  margin-bottom: 20rpx;
}
</style>